您的位置 首页 网站建设

vps/服务器系统和宝塔面板选择

之前发布的网站运营与赚钱的4.0课程里面,安装的都是centos6的系统和宝塔5.9的版本。

后来宝塔面板做了更新现在最新的版本已经7.4.5了。

vps/服务器系统和宝塔面板选择

那么有一些暴疯团队的同学可能在对于新的vps/服务器操作系统和宝塔面板选择上出现了一些问题,到底是选择最新的版本,还是用以前课程里面所讲解的版本,包括以前用的老版本的系统和宝塔面板要不要升级,在这里倪叶明来给大家做一个讲解。

因为大家可能用的是免费版的宝塔,所以在使用上没有遇到什么问题。

而我购买了宝塔的会员的,所以宝塔5.9的版本问题就出现了。

vps/服务器系统和宝塔面板选择

vps/服务器系统和宝塔面板选择

vps/服务器系统和宝塔面板选择

每天打开宝塔面板,显示的专业版到期的日期始终是当天的日期,点击一些付费的插件,会提示插件未购买或已过期。

这个问题我咨询过宝塔官方,得到的答复是:需要升级宝塔面板。

所以,后来我把宝塔面板升级了一下就正常了。

在这里大家要注意,可能在升级的过程中会遇到问题,因此你主要一些问题:

WordPress的版本是不是最新的。

你使用的wordpress的主题是不是也是更新到最新版本的。

还有php版本等等。

如果你用的是破解版的主题,而且主题很久没有更新过的,那么你在升级宝塔面板的时候一定要做好网站的备份,以免升级之后会出现问题。

宝塔面板的升级直接看官方的教程即可。

而因为最新版本的宝塔好像不支持centos6的系统,所以如果你安装的是这个版本的操作系统,可能还需要重新安装系统,再安装宝塔面板。

原来暴疯团队博客使用的就是centos6+宝塔5.9的版本,现在脑推网已经更换成centos7+宝塔7.4.5了,在更换的过程中,虽然出现了一些小小的问题,都是跟服务器环境有关的,例如:

我遇到的两个问题:

第一是:

Nginx在安装起来的时候就是出错的,所以我卸载了之后重装了一下。

包括msyql的版本,我都是用的以前服务器上使用的版本。

第二是:

因为暴疯团队博客的数据库比较庞大,我在修改了php文件之后,虽然在phpmyadmin里面看到可以最大导入我设置的500M的数据库,但是在实际上传的过程中,我反复测试过多次,始终不能上传300M大小的数据库,连接会被重置(以前这样做都是OK的,没遇到任何的问题,但是这次的确是遇到了问题)。

这个问题,我思考了很久,一直没找到解决方案,耽误了我2,3个小时的时间,后来我用了宝塔后台里面的数据库导入功能才把300M的数据库导入到了mysql数据库里面去。

数据库导入、文件上传之后,解析正常之后,我检查了一下网站,没有任何的错误。

总体来说,没什么大问题。

如果是全新安装的同学,直接安装centos7或者8,装最新版本的宝塔就行了,不需要再按照课程里面讲的去装老版本的系统和宝塔了。

本文为倪叶明博客原创文章,转载请保留版权和出处:https://www.niyeming.com/1590/

作者: 倪叶明

倪叶明创业笔记博客(www.niyeming.com),是一个用来分享互联网创业经验、网络营销推广方案的博客,同时提供网络创业项目培训。倪叶明QQ/微信:543890。

发表评论

电子邮件地址不会被公开。 必填项已用*标注

联系我们

联系我们

在线咨询: QQ交谈

邮箱: 805192222@qq.com

工作时间:9:00-23:00
关注微信
微信扫一扫关注我们

微信扫一扫关注我们

返回顶部